Printago API
POST /v1/getting-started/steps/{stepKey}/complete

Mark a Getting Started step complete

Path Parameters

stepKey required
any
Step to mark complete

Request Body

Completion source (auto-detected or manual)

CompleteGettingStartedStepRequest
sourcerequired
any

Example Request

application/json
{}

Response Schema

GettingStartedStep
completedAtrequired
string
format: date-time
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
sourcerequired
any
stepKeyrequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "completedAt": "2026-08-24T03:58:56.090Z",
  "id": "string",
  "storeId": "string",
  "createdAt": "2026-08-24T03:58:56.090Z",
  "updatedAt": "2026-08-24T03:58:56.090Z"
}